MAKEMAP(8)

NAZWA
makemap - utwórz bazy map dla sendmaila

SKŁADNIA
makemap [-N] [-d] [-f] [-o] [-r] [-v] maptype mapname

OPIS
makemap tworzy bazę map, używaną podczas kluczowych podglądów map (keyed map lookups) w sendmail(8). Odczytuje on wejście ze standardowego wejścia i wypuszcza wyjście do bazy wskazanej przez mapname.

Zależnie od sposobu skompilowania makemap obsługuje do trzech różnych formatów baz danych, wybieranych przy użyciu parametru maptype . Mogą to być

btree
    mapy formatu B-Tree. Wymaga to nowej biblioteki db(3) z Berkeley.

hash
    Mapy formatu hash. Również wymagają biblioteki db(3) .

We wszystkich wypadkach, makemap odczytuje ze standardowego wejścia linie, składające się z dwóch, oddzielonych spacją słów. Pierwsze jest kluczem bazy, a drugie wartością. Wartość może zawierać napisy ``%n'' dla wskazanych substytucji parametrów. Literalne wtrącenia powinny być podwojone (``%%''). Puste linie i linie rozpoczynające się od ``#'' są ignorowane.

  Flagi

-N  Włącz bajt null, który kończy napisy w mapie. Musi to odpowiadać fladze -N w linii ``K'' sendmail.cf.

-d  Dopuść podwójne klucze w mapie. Jest to dozwolone tylko w mapach formatu B-Tree. Jeśli odczytane zostaną dwa identyczne klucze, oba zostaną włączone w mapę.

-f  Normalnie wszystkie litery klucza są zmieniane na małe litery. Flaga ta temu przeciwdziała. Jest to przeznaczone do związku z flagą -f w linii K sendmail.cf.

-o  Dopisz do starego pliku. Umożliwia to powiększanie starego pliku.

-r  Zezwól na podmienianie istniejących kluczy. Normalnie makemap narzeka jeśli powtórzysz klucz i nie wstawia go.

-v  Gadatliwie opisuj co się dzieje.

ZOBACZ TAKŻE
sendmail(8)

HISTORIA
Komenda makemap pojawiła się w 4.4BSD.